AnsweredAssumed Answered

Macro to change radius to diameter dimension on sketch.

Question asked by Dawid Kozakiewicz on Sep 12, 2020
Latest reply on Sep 14, 2020 by Peter Brinkhuis

Hello, I would like to change the radius to the diameters in the sketch between line and center line by revolve but i don't know how. I'm novice.  

My piece of code looks like this: 

swDoc.Extension.SelectByID2 "Line3", "SKETCHSEGMENT", -5.51006596760492E-02, 0.019141917973462, 0, False, 0, Nothing, 0
swDoc.Extension.SelectByID2 "Line1", "SKETCHSEGMENT", -7.07267151645896E-02, 9.11519903498192E-04, 0, True, 0, Nothing, 0
swDoc.AddDiameterDimension2 -0.107968814078944, -4.55759951749095E-03, 0

In the attachment there is a photo of what effect I need. Sorry for my English. 

Attachments

Outcomes